petsc-3.13.6 2020-09-29
Report Typos and Errors

# KSPGuessDestroy

Destroys KSPGuess context.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessDestroy(KSPGuess *guess)

Collective on kspGuess

### Input Parameter

guess -initial guess object

### See Also

KSPGuessCreate(), KSPGuess, KSPGuessType

### Level

beginner

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessDestroy_Fischer in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessDestroy_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages